Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DebugDraw Class Reference

`#include <DebugDraw.h>`

## Public Member Functions
| DebugDraw ()
virtual | ~DebugDraw ()
void | DrawAABB (const b2AABB &aabb, const ColorF &color)
void | DrawOOBB (const b2Vec2 *pOOBB, const ColorF &color)
void | DrawAsleep (const b2Vec2 *pOOBB, const ColorF &color)
void | DrawCollisionShapes (const b2Transform &xf, b2Body *pBody)
void | DrawSortPoint (const b2Vec2 &worldPosition, const b2Vec2 &size, const b2Vec2 &localSortPoint)
void | DrawJoints (b2World *pWorld)
void | DrawShape (b2Fixture *fixture, const b2Transform &xf, const ColorF &color)
void | DrawPolygon (const b2Vec2 *vertices, int32 vertexCount, const ColorF &color)
void | DrawSolidPolygon (const b2Vec2 *vertices, int32 vertexCount, const ColorF &color)
void | DrawCircle (const b2Vec2 &center, float32 radius, const ColorF &color)
void | DrawSolidCircle (const b2Vec2 &center, float32 radius, const b2Vec2 &axis, const ColorF &color)
void | DrawSegment (const b2Vec2 &p1, const b2Vec2 &p2, const ColorF &color)
void | DrawTransform (const b2Transform &xf)
void | DrawPoint (const b2Vec2 &p, float32 size, const ColorF &color)

## Constructor & Destructor Documentation

DebugDraw | ( |  | ) |
| inline

virtual ~DebugDraw | ( |  | ) |
| inline virtual

## Member Function Documentation

void DrawAABB | ( | const b2AABB & | aabb,
|  | const ColorF & | color
| ) |  |

void DrawAsleep | ( | const b2Vec2 * | pOOBB,
|  | const ColorF & | color
| ) |  |

void DrawCircle | ( | const b2Vec2 & | center,
|  | float32 | radius,
|  | const ColorF & | color
| ) |  |

void DrawCollisionShapes | ( | const b2Transform & | xf,
|  | b2Body * | pBody
| ) |  |

void DrawJoints | ( | b2World * | pWorld | ) |

void DrawOOBB | ( | const b2Vec2 * | pOOBB,
|  | const ColorF & | color
| ) |  |

void DrawPoint | ( | const b2Vec2 & | p,
|  | float32 | size,
|  | const ColorF & | color
| ) |  |

void DrawPolygon | ( | const b2Vec2 * | vertices,
|  | int32 | vertexCount,
|  | const ColorF & | color
| ) |  |

void DrawSegment | ( | const b2Vec2 & | p1,
|  | const b2Vec2 & | p2,
|  | const ColorF & | color
| ) |  |

void DrawShape | ( | b2Fixture * | fixture,
|  | const b2Transform & | xf,
|  | const ColorF & | color
| ) |  |

void DrawSolidCircle | ( | const b2Vec2 & | center,
|  | float32 | radius,
|  | const b2Vec2 & | axis,
|  | const ColorF & | color
| ) |  |

void DrawSolidPolygon | ( | const b2Vec2 * | vertices,
|  | int32 | vertexCount,
|  | const ColorF & | color
| ) |  |

void DrawSortPoint | ( | const b2Vec2 & | worldPosition,
|  | const b2Vec2 & | size,
|  | const b2Vec2 & | localSortPoint
| ) |  |

void DrawTransform | ( | const b2Transform & | xf | ) |

The documentation for this class was generated from the following files:

- 2d/scene/DebugDraw.h
- 2d/scene/DebugDraw.cc